Subject: bug#6084: Flymake should check if buffer-file-name is nil

From: Lennart Borgman <[email-masked]>
Date: Mon, 3 May 2010 02:55:36 +0200

Should not flymake check if there is a buffer-file-name when it is
turned on? The whole structure of it assumes there is a buffer file
name.

Please add a check at the beginning of flymake-mode, but just give a
message and turn of flymake-mode. Giving an error would be rather bad
since flymake-mode is often turned on in a major mode hook.